package net.lensfrex.rd.configure;

import cn.wustlinghang.mywust.core.parser.undergraduate.UndergradCourseTableParser;
import cn.wustlinghang.mywust.core.parser.undergraduate.UndergradStudentInfoPageParser;
import cn.wustlinghang.mywust.core.request.service.auth.UndergraduateLogin;
import cn.wustlinghang.mywust.core.request.service.undergraduate.UndergradCourseTableApiService;
import cn.wustlinghang.mywust.core.request.service.undergraduate.UndergradStudentInfoApiService;
import cn.wustlinghang.mywust.network.RequestClientOption;
import cn.wustlinghang.mywust.network.Requester;
import cn.wustlinghang.mywust.network.okhttp.SimpleOkhttpRequester;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MywustConfigure {
    @Bean
    public RequestClientOption requestClientOption() {
        return new RequestClientOption();
    }

    @Bean
    public Requester requester() {
        return new SimpleOkhttpRequester(requestClientOption());
    }

    @Bean
    public UndergraduateLogin undergraduateLogin(Requester requester) {
        return new UndergraduateLogin(requester);
    }

    @Bean
    public UndergradStudentInfoApiService undergradStudentInfoApiService(Requester requester) {
        return new UndergradStudentInfoApiService(requester);
    }

    @Bean
    public UndergradStudentInfoPageParser undergradStudentInfoPageParser() {
        return new UndergradStudentInfoPageParser();
    }

    @Bean
    public UndergradCourseTableApiService undergradCourseTableApiService(Requester requester) {
        return new UndergradCourseTableApiService(requester);
    }

    @Bean
    public UndergradCourseTableParser undergradCourseTableParser() {
        return new UndergradCourseTableParser();
    }
}
