package net.lensfrex.rd.controller.activity;

import net.lensfrex.rd.data.entity.table.Activity;
import net.lensfrex.rd.data.model.response.PaginationWrapper;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.service.activity.ActivityService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/activity")
public class ActivityController {

    private final ActivityService activityService;

    public ActivityController(ActivityService activityService) {
        this.activityService = activityService;
    }

    @RequestMapping("/current")
    public Response<List<Activity>> current() {
        var result = activityService.getCurrentActivity();

        return Response.success(result);
    }

    @RequestMapping("/list")
    public Response<PaginationWrapper<List<Activity>>> list(
            @RequestParam(value = "page", required = false, defaultValue = "1") int page,
            @RequestParam(value = "pageSize", required = false, defaultValue = "10") int pageSize
    ) {
        var result = activityService.list(page, pageSize);
        return Response.success(result);
    }

    @RequestMapping("/info")
    public Response<Activity> info(@RequestParam(value = "id") String id) {
        var result = activityService.getById(id);
        return Response.success(result);
    }
}
