package net.lensfrex.rd.controller.course;

import net.lensfrex.rd.data.dto.course.CourseDTO;
import net.lensfrex.rd.data.model.response.PaginationWrapper;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.service.course.CourseService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/course")
public class CourseController {

    private final CourseService courseService;

    public CourseController(CourseService courseService) {
        this.courseService = courseService;
    }

    @GetMapping("/list")
    public Response<PaginationWrapper<List<CourseDTO>>> list(
            @RequestParam(value = "page", required = false, defaultValue = "1") int page,
            @RequestParam(value = "pageSize", required = false, defaultValue = "10") int pageSize
    ) {
        var result = courseService.list(page, pageSize);
        return Response.success(result);
    }

    @GetMapping("/info")
    public Response<CourseDTO> info(@RequestParam(value = "id") String id) {
        var result = courseService.getCourse(id);
        return Response.success(result);
    }
}
