package net.lensfrex.rd.controller.course;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.dev33.satoken.annotation.SaCheckRole;
import cn.dev33.satoken.stp.StpUtil;
import net.lensfrex.rd.data.dto.course.CourseDTO;
import net.lensfrex.rd.data.entity.table.Course;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.data.model.response.course.CourseResponse;
import net.lensfrex.rd.service.course.CourseService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/student/course")
public class StudentCourseController {
    private final CourseService courseService;

    public StudentCourseController(CourseService courseService) {
        this.courseService = courseService;
    }

    @SaCheckLogin
    @SaCheckRole("STUDENT")
    @GetMapping("/candidate")
    public Response<List<CourseDTO>> listCandidate() {
        String uid = StpUtil.getLoginId().toString();
        var courses = courseService.getCandidateCourseForStudent(uid);

        return Response.success(courses);
    }
}
