package net.lensfrex.rd.controller.major;

import cn.dev33.satoken.annotation.SaCheckRole;
import net.lensfrex.rd.data.entity.table.Major;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.service.major.MajorService;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/admin/major")
public class AdminMajorController {

    private final MajorService majorService;

    public AdminMajorController(MajorService majorService) {
        this.majorService = majorService;
    }

    @SaCheckRole("ADMIN")
    @PostMapping("/add")
    public Response<Major> add(@RequestParam("name") String name) {
        Major major = majorService.addMajorIfNotExists(name);
        return Response.success(major);
    }

    @SaCheckRole("ADMIN")
    @PostMapping("/delete")
    public Response<Object> delete(@RequestParam("id") String id) {
        majorService.deleteMajor(id);
        return Response.success();
    }
}
