package net.lensfrex.rd.controller.schedule;

import cn.dev33.satoken.annotation.SaCheckRole;
import cn.dev33.satoken.stp.StpUtil;
import com.fasterxml.jackson.databind.ObjectMapper;
import jakarta.servlet.http.HttpServletResponse;
import net.lensfrex.rd.data.dto.schedule.CourseScheduleDTO;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.data.model.response.ResponseCode;
import net.lensfrex.rd.service.schedule.TeacherCourseScheduleService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("/teacher/course-schedule")
public class TeacherScheduleController {
    private final TeacherCourseScheduleService teacherCourseScheduleService;

    public TeacherScheduleController(TeacherCourseScheduleService teacherCourseScheduleService) {

        this.teacherCourseScheduleService = teacherCourseScheduleService;
    }

    @SaCheckRole("TEACHER")
    @RequestMapping("/my-class")
    public Response<List<CourseScheduleDTO>> list(@RequestParam("term") String term) {
        String uid = StpUtil.getLoginId().toString();

        var result = teacherCourseScheduleService.getTeacherSchedule(uid, term);

        return Response.success(result);
    }
}
