package net.lensfrex.rd.controller.score;

import cn.dev33.satoken.annotation.SaCheckRole;
import com.fasterxml.jackson.databind.ObjectMapper;
import jakarta.servlet.http.HttpServletResponse;
import net.lensfrex.rd.data.dto.score.ScheduleScore;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.data.model.response.ResponseCode;
import net.lensfrex.rd.service.score.ScoreService;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("/teacher/score")
public class TeacherScoreController {

    private final ScoreService scoreService;

    public TeacherScoreController(ScoreService scoreService) {
        this.scoreService = scoreService;
    }

    @SaCheckRole("TEACHER")
    @RequestMapping("/list-students")
    public Response<List<ScheduleScore>> listStudents(@RequestParam("id") String schedule) {
        var result = scoreService.getClassScore(schedule);

        return Response.success(result);
    }

    @SaCheckRole("TEACHER")
    @PostMapping("/update")
    public Response<Object> update(@RequestParam("schedule") String scheduleId,
                                   @RequestParam(value = "scoreId", required = false) String scoreId,
                                   @RequestBody ScheduleScore scheduleScore) {

        scoreService.insertOrUpdateScore(scheduleId, scoreId, scheduleScore);

        return Response.success();
    }
}


