package net.lensfrex.rd.controller.teacher;

import cn.dev33.satoken.annotation.SaCheckRole;
import net.lensfrex.rd.data.dto.user.teacher.TeacherUserDTO;
import net.lensfrex.rd.data.dto.user.teacher.TeacherUserInfoDTO;
import net.lensfrex.rd.data.entity.table.TeacherInfo;
import net.lensfrex.rd.data.model.request.admin.TeacherAddRequest;
import net.lensfrex.rd.data.model.response.PaginationWrapper;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.service.user.TeacherUserService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/teacher")
public class TeacherController {
    private final TeacherUserService teacherUserService;

    public TeacherController(TeacherUserService teacherUserService) {
        this.teacherUserService = teacherUserService;
    }

    @GetMapping("/list")
    public Response<PaginationWrapper<List<TeacherInfo>>> list(
            @RequestParam(value = "page", required = false, defaultValue = "1") int page,
            @RequestParam(value = "pageSize", required = false, defaultValue = "10") int pageSize
    ) {
        var result = teacherUserService.list(page, pageSize);
        return Response.success(result);
    }

    @GetMapping("/info")
    public Response<TeacherUserInfoDTO> info(@RequestParam(value = "id") String id) {
        var result = teacherUserService.getUserInfoById(id);
        return Response.success(result);
    }
}
