package net.lensfrex.rd.controller.user;

import cn.dev33.satoken.stp.StpUtil;
import net.lensfrex.rd.data.enums.UserType;
import net.lensfrex.rd.data.model.response.Response;
import net.lensfrex.rd.data.model.response.ResponseCode;
import net.lensfrex.rd.service.user.UserInfoService;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/user/info")
public class UserInfoController {
    private final UserInfoService userInfoService;

    public UserInfoController(UserInfoService userInfoService) {
        this.userInfoService = userInfoService;
    }

    @RequestMapping("")
    public Object getUserInfo(@RequestParam("uid") String uid, @RequestParam("userType") String userType) {
        // 如果不是自己的账号并且也不是管理员
        if (!StpUtil.getLoginId().equals(uid) && !StpUtil.hasRole(UserType.ADMIN.name())) {
            return Response.error(ResponseCode.PERMISSION_DENIED);
        }

        Object userInfo = switch (userType) {
            case "STUDENT" -> userInfoService.getAsStudent(uid);
            case "TEACHER" -> userInfoService.getAsTeacher(uid);
            default -> null;
        };

        return Response.success(userInfo);
    }
}
