package net.lensfrex.rd.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import net.lensfrex.rd.dao.type.IntegerListTypeHandler;
import net.lensfrex.rd.dao.type.StringListTypeHandler;

import java.util.List;

@Data
public class CourseScheduleDetail {
    /**
     * 课程id
     */
    private String courseId;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 授课教师
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> teachers;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;

    /**
     * 上课专业
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> targetMajor;

    /**
     * 上课年级
     */
    @TableField(typeHandler = IntegerListTypeHandler.class)
    private List<Integer> targetGrade;

    /**
     * 课堂id
     */
    private String id;

    /**
     * 课程id
     */
    private String course;

    /**
     * 开始周
     */
    private String startWeek;

    /**
     * 结束周
     */
    private String endWeek;

    /**
     * 节次时间,即第几节课
     */
    private String time;

    /**
     * 学年学期,格式如2023-2024
     */
    private String academicTerm;

    /**
     * 上课地点
     */
    private String place;

    /**
     * 考试成绩占比
     */
    private String ratio;
}
