package net.lensfrex.rd.data.entity.table;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import net.lensfrex.rd.dao.type.IntegerListTypeHandler;
import net.lensfrex.rd.dao.type.StringListTypeHandler;
//import org.apache.ibatis.type.ArrayTypeHandler;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName(autoResultMap = true)
public class Course implements Serializable {
    /**
     * 课程id
     */
    private String id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;

    /**
     * 上课专业
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> targetMajor;

    /**
     * 上课年级
     */
    @TableField(typeHandler = IntegerListTypeHandler.class)
    private List<Integer> targetGrade;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;
}