package net.lensfrex.rd.service.schedule;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.ExcelWriter;
import com.alibaba.excel.util.MapUtils;
import com.alibaba.excel.write.metadata.WriteSheet;
import com.alibaba.excel.write.metadata.fill.FillConfig;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import net.lensfrex.rd.dao.mapper.schedule.CourseScheduleMapper;
import net.lensfrex.rd.dao.mapper.schedule.CourseScheduleSelectionMapper;
import net.lensfrex.rd.dao.mapper.schedule.TeacherClassMapper;
import net.lensfrex.rd.data.dto.schedule.CourseScheduleDTO;
import net.lensfrex.rd.data.dto.schedule.StudentExportDto;
import net.lensfrex.rd.data.entity.table.CourseSchedule;
import net.lensfrex.rd.data.entity.table.CourseSelection;
import net.lensfrex.rd.data.entity.table.StudentInfo;
import net.lensfrex.rd.service.user.StudentUserService;
import org.springframework.stereotype.Service;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
public class TeacherCourseScheduleService {
    private final TeacherClassMapper teacherClassMapper;

    public TeacherCourseScheduleService(TeacherClassMapper teacherClassMapper) {

        this.teacherClassMapper = teacherClassMapper;
    }

    public List<CourseScheduleDTO> getTeacherSchedule(String uid, String term) {
        var scheduleList = teacherClassMapper.getScheduleForTeacher(uid, term);
        var result = new ArrayList<CourseScheduleDTO>(scheduleList.size());

        for (var schedule : scheduleList) {
            result.add(CourseScheduleService.convert(schedule));
        }

        return result;
    }
}
