const apiUrls = {
  auth: {
    login: '/user/auth/login',
    logout: '/user/auth/logout',
    modifyPassword: '/user/auth/modify-password',
    loginStatus: '/user/auth/check'
  },
  user: {
    info: '/user/info'
  },
  admin: {
    teacher: {
      add: '/admin/user/teacher/add',
      delete: '/admin/user/teacher/delete',
      update: '/admin/user/teacher/update',
    },
    course: {
      add: '/admin/course/add',
      delete: '/admin/course/delete',
      update: '/admin/course/update',
    },
    class: {
      add: '/admin/course-schedule/add',
      delete: '/admin/course-schedule/delete',
      update: '/admin/course-schedule/update',
      duplicate: '/admin/course-schedule/duplicate',
    },
    major: {
      add: '/admin/major/add',
      delete: '/admin/major/delete',
      update: '/admin/major/update',
    },
    student: {
      add: '/admin/user/student/add',
      addWithAutoMajor: '/admin/user/student/add-with-auto-major',
      delete: '/admin/user/student/delete',
      update: '/admin/user/student/update',
    },
    activity: {
      add: '/admin/activity/add',
      delete: '/admin/activity/delete',
      update: '/admin/activity/update',
    }
  },
  course: {
    list: '/course/list',
    info: '/course/info',
  },
  class: {
    list: '/course-schedule/list',
    info: '/course-schedule/info',
    fromCourse: '/course-schedule/list-term',
    studentList: '/course-schedule/list-student',
  },
  major: {
    list: '/major/list',
    info: '/major/info',
  },
  score: {
    export: '/score/export',
  },
  teacher: {
    list: '/teacher/list',
    info: '/teacher/info',
    courseSchedule: {
      list: '/teacher/course-schedule/my-class',
      studentList: '/course-schedule/list-student'
    },
    score: {
      scheduleScore: '/teacher/score/list-students',
      update: '/teacher/score/update',
    }
  },
  student: {
    list: '/student/list',
    info: '/student/info',
    course: {
      candidate: '/student/course/candidate',
      selected: '/student/course-schedule/current',
      select: '/student/course-schedule/select',
      official: '/student/course-schedule/official',
    },
    score: {
      all: '/student/score/all'
    }
  },
  activity: {
    current: '/activity/current',
    list: '/activity/list',
    info: '/activity/info',
  }
}

export {
  apiUrls
}
