import { defineStore } from 'pinia'
import {computed, ref} from "vue";
import majorManager from "app/src/api/major/major";

export const useMajorsStore = defineStore('majors', () => {
  const majorsData = ref([])

  function refreshMajors() {
    majorManager.list()
      .then(data => {
        majorsData.value = data.result
      })
      .catch(e => console.warn(e))
  }

  const majors = computed(() => {
    if (majorsData.value === undefined || majorsData.value.length === 0) {
      refreshMajors()
    }

    return majorsData
  })

  return {majors, refreshMajors}
})
